<?php
/**
 * Template Name: Blog full width
 *
 * @package Luzuk Premium
 */
get_header(); 
?>
<header class="page-main-header">
    <?php if( get_theme_mod('innerbubbles_animation_display','show' ) == 'show') :
        ?>  
        <div class="hex center">
          <div class="hex odd first one"></div>
          <div class="hex odd first three"></div>
          <div class="hex odd first five"></div>
          <div class="hex odd first seven"></div>
          <div class="hex odd first nine"></div> 
          <div class="hex odd first eleven"></div>
      </div>
  <?php endif ?>
  <div>
    <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
    <?php
        //print_r ($post);
    if (!empty($image)){
        echo '<img src="'.$image.'" class="ht-page-header-img" />';
    }
    ?> 
    <!-- <img src="<?php //echo !empty($image)?$image : get_template_directory_uri().'/images/innerpage.jpg';?>" class="ht-page-header-img" alt="<?php //the_title();?>" /> -->
</div>
<div class="container">
    <div class="col-md-6 col-sm-6 inner-page-title-box">
        <?php the_title( '<h1>', '</h1>' ); ?>
    </div>
    <div class="col-md-6 col-sm-6 breadcrumb-area">
        <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
            ?>
            <div class='button'><?php lz_fitness_lite_the_breadcrumb(); ?></div>
        <?php endif ?>    
    </div>
</div>
</header>



<main id="innerpage-box">
	<div class="container">

		<div id="blog-box" class="ht-blog-wrap innerpage-whitebox">
			<?php
            $current_page = max(1, get_query_var('paged'));
            $lz_fitness_blog_cat_exclude = get_theme_mod('lz_fitness_blog_categories');
            $lz_fitness_blog_cat_exclude = explode(',', $lz_fitness_blog_cat_exclude);
            $excerpt = get_theme_mod('lz_fitness_blog_categories_settings');
            $args = array(
                'category__not_in' => $lz_fitness_blog_cat_exclude,
                // 'page'=,
                'paged'=> $current_page,

            );
            $query = new WP_Query($args);
            if($query -> have_posts()):
                while($query -> have_posts()) : $query -> the_post();
                 $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
                 $img = (has_post_thumbnail())?esc_url($lz_fitness_image[0]):get_template_directory_uri().'/images/default.png';
                 ?>
                 <div class="col-md-4 col-sm-6 col-xs-12 inner-blog-post">
                    <a href="<?php the_permalink(); ?>">
                      <div class="ht-blog-thumbnail box">
                       <img class="inner-blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">

                   </div>
               </a>
               <div class="inner-blog-excerpt">
                <?php if( get_theme_mod('postdate_button_display','show' ) == 'show') :
                   ?> 
                   <div class="htblogdate"><?php echo get_the_date( 'j M, Y' ); ?></div>
               <?php endif ?> 
               <a href="<?php the_permalink(); ?>"> <h4><?php the_title(); ?></h4></a>
               <?php 
              if(has_excerpt()){
                echo get_the_excerpt();
              }else{
                echo lz_fitness_excerpt( get_the_content() , 100 );
              }
              ?>
            <hr>
            <div class="clearfix"></div>
            
            <div class="col-md-6 col-sm-6 col-xs-12 social-Media padding0">
               <?php if( get_theme_mod('postsocials_button_display','show' ) == 'show') :
                   ?>
                   <a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>" target="_blank"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                   <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink();?>&title=<?php the_title();?>&source=<?php the_title();?>" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
                   <a href="https://twitter.com/share?url=<?php the_permalink();?>&amp;text=<?php the_title();?>" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                   <a href="http://www.digg.com/submit?url=<?php the_permalink();?>" target="_blank"><i class="fa fa-digg" aria-hidden="true"></i></a>
               <?php endif ?>  
           </div>
           
           <div class="col-md-6 col-sm-6 col-xs-12 bloginner-commentbox padding0">
            <i class="fa fa-comment"></i>Comments (<?php echo $my_var = get_comments_number(); ?>) 
        </div>
    </div>
    
    <div class="clearfix"></div>
</div>
<?php
endwhile;
endif;
wp_reset_postdata();
?>
</div>
<div class="pagingation">
    <?php lzGetPagination($query);?>
</div>
</div>
</main>
<script>
    jQuery.noConflict();
    $(function(){
        function innerblogexcerptHeight(){
            var ht = 0;
            $('#blog-box .inner-blog-excerpt').each(function(i){
                var tHt = $(this).height();
                if(ht<tHt){
                    ht=tHt;
                }
            });
            $('#blog-box .inner-blog-excerpt').height(ht+'px');
        }
        innerblogexcerptHeight();
    });
    $( window ).resize(function(){
        innerblogexcerptHeight();
    });
</script>
<?php get_footer(); ?>